Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface ExtrinsicObject

All Superinterfaces:
  ExtensibleObject, RegistryEntry, RegistryObject, Versionable

public interface ExtrinsicObject
extends RegistryEntry

Version:
  $Revision: 1.1 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from interface javax.xml.registry.infomodel.RegistryEntry
`STABILITY_DYNAMIC, STABILITY_DYNAMIC_COMPATIBLE, STABILITY_STATIC, STATUS_APPROVED, STATUS_DEPRECATED, STATUS_SUBMITTED, STATUS_WITHDRAWN`

Method Summary
`String` | `getMimeType()`
`javax.activation.DataHandler` | `getRepositoryItem()`
`boolean` | `isOpaque()`
`void` | `setMimeType(String mimeType)`
`void` | `setOpaque(boolean flag)`
`void` | `setRepositoryItem(javax.activation.DataHandler item)`

Methods inherited from interface javax.xml.registry.infomodel.RegistryEntry
`getExpiration, getStability, getStatus, setExpiration, setStability`

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Methods inherited from interface javax.xml.registry.infomodel.Versionable
`getMajorVersion, getMinorVersion, getUserVersion, setMajorVersion, setMinorVersion, setUserVersion`

Method Detail

### getMimeType

    public String getMimeType()
                       throws JAXRException

  Throws:
    `JAXRException`

### getRepositoryItem

    public javax.activation.DataHandler getRepositoryItem()
                                                   throws JAXRException

  Throws:
    `JAXRException`

### isOpaque

    public boolean isOpaque()
                     throws JAXRException

  Throws:
    `JAXRException`

### setMimeType

    public void setMimeType(String mimeType)
                     throws JAXRException

  Throws:
    `JAXRException`

### setOpaque

    public void setOpaque(boolean flag)
                   throws JAXRException

  Throws:
    `JAXRException`

### setRepositoryItem

    public void setRepositoryItem(javax.activation.DataHandler item)
                           throws JAXRException

  Throws:
    `JAXRException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.